Rails.application.routes.draw do
  post 'sessions/create', to:'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]
  resources :tasks
  get 'users/new', to: 'users#new', as: 'register'
  post 'users/create', to: 'users#create', as: 'create_user' # 'users'
  get 'users/edit/:id', to: 'users#edit', as: 'edit_profile' # 'users/:id/edit'
  put 'users/update/:id', to: 'users#update', as: 'update_profile' # 'users/:id'
  get 'users/index', to: 'users#index', as: 'users' # 'users'
  get 'users/show/:id', to: 'users#show', as: 'profile' # 'users/:id'
  get 'users/forgotten'
  post 'users/send_forgotten' 
  match 'say/hello', to: 'say#hello', via: [:get], as: 'hello'
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end
